Re: [PHP4BETA] RFC1867
| From: | Sascha Schumann | Date: | Sat, 12 Jun 1999 17:45:26 +0000 |
| Subject: | Re: [PHP4BETA] RFC1867 | ||
| References: | 1 2 | Groups: | php.version4 |
| Request: | Send a blank email to php-version4+get-1538@lists.php.net to get a copy of this message | ||
On Sat, Jun 12, 1999 at 07:37:51PM +0200, Bjorn Borud wrote:
> [Zeev Suraski]
> |
> | Since I can't figure out how to efficiently implement RFC1867, and can't
> | find any hints on how to do it efficiently on the net, I'm thinking on
> | simply taking the PHP 3.0 code as-is.
>
> I seem to remember that there isn't really any good way to implement
> this due to the rfc1867 being a bit clumsy.
I fully agree with that. One could also defend this position with
RFC 1521, "7.2.1 Multipart: The common syntax" which specifies
the body to be "syntactically identical to an RFC 822 message."
Recursive usage of multipart messages is not useful for web
content. It's actually useful when handling email (e.g.
forwarding a multipart message and adding another RFC 822-style
message).
--
Regards,
Sascha Schumann
Consultant